#!/bin/bash

# This helper script will handle deploying elasticache and creating an external service
#
# /scripts/deploy-elasticache.sh
#

set -e

source /scripts/utils.sh
source /scripts/terraform.sh

check_access ${appsNamespace} services

tfAdditionalVarsFile=${tfRoot}/additional_settings.auto.tfvars

echo "redis_password = \"${primaryPassword}\"" > ${tfAdditionalVarsFile}

terraform_init
terraform_plan
terraform_apply
terraform_output

if [ ${awsDeployment} == "true" ]; then
    terraform_get primary_endpoint_address primaryEndpointAddress

    create_hostname_configmap ${namingPrefix}-endpoint ${appsNamespace} "--from-literal=endpoint=${primaryEndpointAddress}"
    create_hostname_configmap ${namingPrefix}-endpoint ${infraNamespace} "--from-literal=endpoint=${primaryEndpointAddress}"

    # Deprecated - will be removed in 1.0 release
    create_external_service ${dbServiceClusterEndpointShortName} ${appsNamespace} ${primaryEndpointAddress}
fi

cprint "$0 done "
