#!/bin/bash

# This helper script will handle generation of a db primary password for both apps and infra namespaces
#
# /scripts/gen-primary-secret.sh
#

set -e

source /scripts/utils.sh

check_access ${infraNamespace} secrets
check_access ${appsNamespace} secrets

echo "Generating new password."
password=$(openssl rand -hex 32)

create_secret_password ${dbPrimaryCredsSecretName} ${infraNamespace} ${password}
create_secret_password ${dbUserCredsSecretPassName} ${appsNamespace} ${password}
create_secret_password ${dbUserCredsSecretPassName} ${infraNamespace} ${password}

print_header "$0 done."

