#!/bin/bash

# This helper script will handle uninstalling elasticache
set -e

## work-around for Override where inputs-in-env does not exist.
[[ -z "${policyScan:+x}" ]] && export policyScan=false

source /scripts/utils.sh

if [ -z "${namingPrefix}" ] ; then
    echo "Must set env namingPrefix"
    exit 1
fi

if [ -z "${appsNamespace}" ] ; then
    echo "Must set env appsNamespace"
    exit 1
fi

if [ -z "${infraNamespace}" ] ; then
    echo "Must set env infraNamespace"
    exit 1
fi

## Remove items from Terraform State file if awsDeployment=true & forceDeploy=true
# if [ "${awsDeployment}x" == "truex" ] && [ "${forceDeploy}x" == "truex" ]; then
#   source /scripts/terraform.sh
#   terraform_init
#   terraform_destroy
# fi

print_header "Cleaning up kube resources"

if [ "${awsDeployment}x" == "truex" ]; then
  arnConfigMapName=${namingPrefix}-arn
  run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${arnConfigMapName} --ignore-not-found
  run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${arnConfigMapName} --ignore-not-found
fi

check_access ${appsNamespace} secrets

endpointConfigMapName=${namingPrefix}-endpoint
echo "Deleting external configmap ${endpointConfigMapName}"
run_cmd kubectl --namespace ${appsNamespace} delete configmap ${endpointConfigMapName} --ignore-not-found
run_cmd kubectl --namespace ${infraNamespace} delete configmap ${endpointConfigMapName} --ignore-not-found

# Deprecated - will be removed in 1.0 release
if [ ! "${dbServiceClusterEndpointShortName}x" == "x" ]; then
  echo "Deleting external service ${dbServiceClusterEndpointShortName} from namespace ${appsNamespace}"
  run_cmd kubectl --namespace ${appsNamespace} delete service ${dbServiceClusterEndpointShortName} --ignore-not-found=true
fi

echo "Kubernetes outputs cleanup complete, use cloud custodian tool to delete AWS resources"
echo "$0 done "
