#!/bin/bash

# This helper script will handle the removal of the secret from the application and infra namespaces
#
# /scripts/remove-secret.sh
#

set -e

source /scripts/utils.sh

check_access ${infraNamespace} secrets
check_access ${appsNamespace} secrets

run_cmd kubectl --namespace ${infraNamespace} delete secret ${dbPrimaryCredsSecretName} --ignore-not-found
run_cmd kubectl --namespace ${appsNamespace} delete secret ${dbUserCredsSecretPassName} --ignore-not-found

print_header "$0 done."